Lines Matching refs:RC
55 RC=0
57 which $2 > $LTPTMP/tst_logrotate.err 2>&1 || RC=$?
58 if [ $RC -ne 0 ]
62 return $RC
77 export RC=0
93 mkdir -p $LTPTMP > /dev/null 2>&1 || RC=$?
94 if [ $RC -ne 0 ]
97 return $RC
101 chk_ifexists INIT tst_resm || return $RC
102 chk_ifexists INIT logrotate || return $RC
103 chk_ifexists INIT awk || return $RC
104 chk_ifexists INIT file || return $RC
106 return $RC
200 || RC=$?
201 if [ $RC -eq 0 ]
208 $LTPTMP/tst_logrotate.out > $LTPTMP/tst_logrotate.err 2>&1 || RC=$?
210 $LTPTMP/tst_logrotate.out > $LTPTMP/tst_logrotate.err 2>&1 || RC=$?
212 $LTPTMP/tst_logrotate.out > $LTPTMP/tst_logrotate.err 2>&1 || RC=$?
213 if [ $RC -ne 0 ]
222 > $LTPTMP/tst_logrotate.out 2>&1 || RC=$?
223 if [ $RC -eq 0 ]
231 return $RC
235 return $RC
240 "Test #1: logrotate command exited with $RC return code. Output:"
242 return $RC
258 RC=0
296 crontab $LTPTMP/tst_logrotate.cron > $LTPTMP/tst_logrotate.out 2>&1 || RC=$?
297 if [ $RC -ne 0 ]
299 echo "Exit status of crontab command: $RC" >> tst_logrotate.out 2>/dev/null
314 crontab $LTPTMP/tst_addtolog.cron > $LTPTMP/tst_logrotate.out 2>&1 || RC=$?
315 if [ $RC -ne 0 ]
317 echo "Exit status of crontab command: $RC" >> tst_logrotate.out 2>/dev/null
352 > $LTPTMP/tst_logrotate.out 2>&1 || RC=$?
353 if [ $RC -eq 0 ]
376 RC=0
379 test01 || RC=$?
381 exit $RC